#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 41. Other X-based Programs

- Prev

  Inkscape-1.0.2

- Next

  Rox-Filer-2.11

- Up
- Home

# Pidgin-2.14.1

## Introduction to Pidgin

Pidgin is a Gtk+ 2 instant messaging client that can connect with a wide range of networks including AIM, ICQ, GroupWise, MSN, Jabber, IRC, Napster, Gadu-Gadu, SILC, Zephyr and Yahoo!

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/pidgin/pidgin-2.14.1.tar.bz2

- Download MD5 sum: e135798bcf952ddb3c9e030c4b160c3e

- Download size: 8.4 MB

- Estimated disk space required: 277 MB (with tests and docs)

- Estimated build time: 0.7 SBU (using parallelism=4; with tests and docs)

### Pidgin Dependencies

#### Required

GTK+-2.24.33

#### Recommended

libgcrypt-1.9.2, gstreamer-1.18.3 (required for audio support), and GnuTLS-3.7.0 or NSS-3.61

SSL support is required for the MSN Messenger, Yahoo!, Novel Groupwise and Google Talk protocol plugins. GnuTLS is the preferred method (the Mozilla NSS API is more likely to change and this can cause problems).

#### Optional

Avahi-0.8 (required for the Bonjour plugin), Cyrus SASL-2.1.27, dbus-1.12.20, evolution-data-server-3.38.4, GConf-3.2.6, libidn-1.36 (required, if you wish to run the test suite), NetworkManager-1.30.0, SQLite-3.34.1 (required for the Contact Availability Prediction plugin), startup-notification-0.12, Tk-8.6.11.1, Farstream (Version 0.1) (required for video and voice support), Gtkspell, libgadu, Meanwhile (required for Sametime protocol support), Mono, SILC Client, SILC Toolkit, Zephyr, and MIT Kerberos V5-1.19.1 (required for Kerberos support in the Zephyr module)

#### Optional (runtime)

xdg-utils-1.1.3

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/pidgin

## Installation of Pidgin

If you wish to run the test suite, make sure that libidn-1.36 is installed and remove the switch “--disable-idn”. Compile Pidgin by running the following commands:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --disable-gstreamer  \
                --disable-avahi      \
                --disable-gtkspell   \
                --disable-meanwhile  \
                --disable-idn        \
                --disable-nm         \
                --disable-vv         &&
    make

If you have Doxygen-1.9.1 installed (Graphviz-2.44.1 can be used also) and you wish to create the API documentation, issue:

    make docs

Remember the remarks before configure. To test the results, issue: make check.

Now, as the `root` user:

    make install &&
    mkdir -pv /usr/share/doc/pidgin-2.14.1 &&
    cp -v README doc/gtkrc-2.0 /usr/share/doc/pidgin-2.14.1

If you created the API documentation, install it using the following commands as the `root` user:

    mkdir -pv /usr/share/doc/pidgin-2.14.1/api &&
    cp -v doc/html/* /usr/share/doc/pidgin-2.14.1/api

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK+-2.24.33 or GTK+-3.24.25 installed (for the icon cache) and desktop-file-utils-0.26 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--disable-gstreamer`: This switch disables gstreamer support because there are problems with the build when Voice/Video support is disabled, and gstreamer is enabled.

`--disable-avahi`: Remove this switch if you've installed Avahi-0.8.

`--disable-gtkspell`: Remove this switch if you've installed Gtkspell and wish to enable spellchecking support.

`--disable-meanwhile`: Remove this switch if you've installed Meanwhile.

`--disable-idn`: Remove this switch if you've installed libidn-1.36.

`--disable-nm`: Remove this switch if you've installed NetworkManager-1.30.0.

`--disable-vv`: Remove this switch if you've installed Farstream (Version 0.1) and wish to enable voice and video communication support. You should also remove the --disable-gstreamer flag.

`--enable-cyrus-sasl`: Use this switch if you've installed Cyrus SASL-2.1.27 and wish to build Pidgin with SASL support.

`--disable-gnutls`: Use this switch if you've got both GnuTLS-3.7.0 and NSS-3.61 installed, but want to use NSS-3.61 for the SSL support.

## Configuring Pidgin

###

#### Config Files

`~/.purple/*` and `~/.gtkrc-2.0`

###

#### Configuration Information

Most configuration can be accomplished by using the various preference settings inside the programs. Additionally, you can create a `~/.gtkrc-2.0` file which can store gtk+-2 theme settings that affect Pidgin and other Gtk+ 2 applications. Note that an example `gtkrc-2.0` file was installed during the package installation and can be used as a starting point or reference.

## Contents

Installed Programs: pidgin, purple-client-example, purple-remote, purple-send, purple-send-async, and purple-url-handler
Installed Library: libpurple.so, and libpurple-client.so
Installed Directories: /usr/include/libpurple, /usr/include/pidgin, /usr/lib/pidgin, /usr/lib/purple-2, /usr/share/doc/pidgin-2.14.1, /usr/share/pixmaps/pidgin, /usr/share/purple, and /usr/share/sounds/purple

### Short Descriptions

pidgin | is a GTK+ 2 instant messaging client
purple-client-example | is an example that demonstrate how to use libpurple-client to communicate with purple
purple-remote | sends remote commands to Pidgin/Finch
purple-send | calls purple API functions using DBus and prints the return value
purple-send-async | calls purple API functions using DBus. As opposed to purple-send, it does not print the return value
purple-url-handler | is a python script to handle URLs with purple

Last updated on 2021-02-23 13:28:17 -0800

- Prev

  Inkscape-1.0.2

- Next

  Rox-Filer-2.11

- Up
- Home